## ros-indigo-moveit-object-handling 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_object_handling)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  sensor_msgs
  moveit_msgs
  roscpp
  shape_msgs
  shape_tools
  std_msgs
  object_msgs 
  eigen_conversions
  convenience_ros_functions
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES moveit_grasped_object_handler moveit_collision_matrix_manipulator 
  CATKIN_DEPENDS geometry_msgs sensor_msgs moveit_msgs
      roscpp shape_msgs std_msgs eigen_conversions convenience_ros_functions
)

###########
## Build ##
###########

add_definitions(${convenience_ros_functions_DEFINITIONS})

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

add_library(moveit_collision_matrix_manipulator
    src/MoveItHelpers.cpp
    src/MoveItCollisionMatrixManipulator.cpp
)

add_library(moveit_grasped_object_handler
    src/GraspedObjectHandler.cpp
)


add_executable(moveit_collisionobject_generator
    src/ObjectMessageGenerator.cpp
    src/object_message_generator_node.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(moveit_object_handling_node moveit_object_handling_generate_messages_cpp)
add_dependencies(moveit_collisionobject_generator ${catkin_EXPORTED_TARGETS})
add_dependencies(moveit_collision_matrix_manipulator ${catkin_EXPORTED_TARGETS})
add_dependencies(moveit_grasped_object_handler ${catkin_EXPORTED_TARGETS})


target_link_libraries(moveit_collisionobject_generator
    moveit_collision_matrix_manipulator
    ${catkin_LIBRARIES}
)

target_link_libraries(moveit_collision_matrix_manipulator
   ${catkin_LIBRARIES}
)
target_link_libraries(moveit_grasped_object_handler
   ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS moveit_grasped_object_handler moveit_collision_matrix_manipulator moveit_collisionobject_generator  
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.launch"
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_moveit_object_handling.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-moveit-object-handling (1.0.4-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 06 Feb 2018 01:03:19 -0000

ros-indigo-moveit-object-handling (1.0.3-0trusty) trusty; urgency=high

  * Removed gazebo depends for jenkins build
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 05 Feb 2018 23:00:00 -0000

ros-indigo-moveit-object-handling (1.0.1-0trusty) trusty; urgency=high

  * Update to support detachment of objects from robots with new MoveIt version
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-moveit-object-handling (1.0.0-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 06 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-moveit-object-handling
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-convenience-ros-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-msgs, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-shape-tools, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-moveit-object-handling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-convenience-ros-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-moveit-msgs, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-shape-tools, ros-indigo-std-msgs
Description: Package which helps generate the MoveIt! moveit_msgs/CollisionObject messages for existing objects in the scene, described by object_msgs/Object.
 Also provides helper classes for MoveIt! in relation to objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-object-handling//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
